## org.eclipse.emf.databinding
Class FeaturePath

    java.lang.Object
      org.eclipse.emf.databinding.FeaturePath

    public class FeaturePath

extends java.lang.Object

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

Encapsulate a path to features also known as nested feature like person.name

Since:
  2.5

Method Summary
`static FeaturePath` `fromList(EStructuralFeature... featurePath)` Create a feature path from the list of given features
`EStructuralFeature[]` `getFeaturePath()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFeaturePath

    public EStructuralFeature[] getFeaturePath()

  Returns:
    the path to the feature from the local position

### fromList

    public static FeaturePath fromList(EStructuralFeature... featurePath)

  Create a feature path from the list of given features

  Parameters:
    `featurePath` - the list of feature to go from the local instance to the requested instance
  Returns:
    the path constructed

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.